be.fgov.ehealth.dics.protocol.v5

## Class ConsultChapterIVExclusionType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ConsultChapterIVExclusionType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-03-20T11:27:16+01:00",
                 comments="JAXB RI v2.3.7")
      public class ConsultChapterIVExclusionType
      extends Object
      implements Serializable

  Java class for ConsultChapterIVExclusionType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ConsultChapterIVExclusionType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="CreatedTimestamp" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
               <element name="CreatedUserId" type="{http://www.w3.org/2001/XMLSchema}string"/>
               <element name="ModificationStatus" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </sequence>
             <attGroup ref="{urn:be:fgov:ehealth:dics:protocol:v5}validityPeriod"/>
             <attribute name="ExclusionType" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="IdentifierNum" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsultChapterIVExclusionType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.joda.time.DateTime` | `getCreatedTimestamp()` Gets the value of the createdTimestamp property.
    `String` | `getCreatedUserId()` Gets the value of the createdUserId property.
    `org.joda.time.DateTime` | `getEndDate()` Gets the value of the endDate property.
    `String` | `getExclusionType()` Gets the value of the exclusionType property.
    `String` | `getIdentifierNum()` Gets the value of the identifierNum property.
    `String` | `getModificationStatus()` Gets the value of the modificationStatus property.
    `org.joda.time.DateTime` | `getStartDate()` Gets the value of the startDate property.
    `void` | `setCreatedTimestamp(org.joda.time.DateTime value)` Sets the value of the createdTimestamp property.
    `void` | `setCreatedUserId(String value)` Sets the value of the createdUserId property.
    `void` | `setEndDate(org.joda.time.DateTime value)` Sets the value of the endDate property.
    `void` | `setExclusionType(String value)` Sets the value of the exclusionType property.
    `void` | `setIdentifierNum(String value)` Sets the value of the identifierNum property.
    `void` | `setModificationStatus(String value)` Sets the value of the modificationStatus property.
    `void` | `setStartDate(org.joda.time.DateTime value)` Sets the value of the startDate property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConsultChapterIVExclusionType

          public ConsultChapterIVExclusionType()

  - ### Method Detail

    - #### getCreatedTimestamp

          public org.joda.time.DateTime getCreatedTimestamp()

      Gets the value of the createdTimestamp property.
      Returns:
        possible object is `String`

    - #### setCreatedTimestamp

          public void setCreatedTimestamp(org.joda.time.DateTime value)

      Sets the value of the createdTimestamp property.
      Parameters:
        `value` - allowed object is `String`

    - #### getCreatedUserId

          public String getCreatedUserId()

      Gets the value of the createdUserId property.
      Returns:
        possible object is `String`

    - #### setCreatedUserId

          public void setCreatedUserId(String value)

      Sets the value of the createdUserId property.
      Parameters:
        `value` - allowed object is `String`

    - #### getModificationStatus

          public String getModificationStatus()

      Gets the value of the modificationStatus property.
      Returns:
        possible object is `String`

    - #### setModificationStatus

          public void setModificationStatus(String value)

      Sets the value of the modificationStatus property.
      Parameters:
        `value` - allowed object is `String`

    - #### getExclusionType

          public String getExclusionType()

      Gets the value of the exclusionType property.
      Returns:
        possible object is `String`

    - #### setExclusionType

          public void setExclusionType(String value)

      Sets the value of the exclusionType property.
      Parameters:
        `value` - allowed object is `String`

    - #### getIdentifierNum

          public String getIdentifierNum()

      Gets the value of the identifierNum property.
      Returns:
        possible object is `String`

    - #### setIdentifierNum

          public void setIdentifierNum(String value)

      Sets the value of the identifierNum property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStartDate

          public org.joda.time.DateTime getStartDate()

      Gets the value of the startDate property.
      Returns:
        possible object is `String`

    - #### setStartDate

          public void setStartDate(org.joda.time.DateTime value)

      Sets the value of the startDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getEndDate

          public org.joda.time.DateTime getEndDate()

      Gets the value of the endDate property.
      Returns:
        possible object is `String`

    - #### setEndDate

          public void setEndDate(org.joda.time.DateTime value)

      Sets the value of the endDate property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.7.3 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.